# DCM/DFA Reporting And Trafficking API . accountPermissions

## Instance Methods

Gets one account permission by ID.

Retrieves the list of account permissions.

### Method Details

`get(profileId, id)`

    Gets one account permission by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Account permission ID. (required)

    Returns:
      An object of the form:

        { # AccountPermissions contains information about a particular account permission. Some features of DCM require an account permission to be present in the account.
        "kind": "dfareporting#accountPermission", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#accountPermission".
        "name": "A String", # Name of this account permission.
        "level": "A String", # Administrative level required to enable this account permission.
        "permissionGroupId": "A String", # Permission group of this account permission.
        "accountProfiles": [ # Account profiles associated with this account permission.
            #
            # Possible values are:
            # - "ACCOUNT_PROFILE_BASIC"
            # - "ACCOUNT_PROFILE_STANDARD"
          "A String",
        ],
        "id": "A String", # ID of this account permission.
      }

`list(profileId)`

    Retrieves the list of account permissions.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Account Permission List Response
        "accountPermissions": [ # Account permission collection.
          { # AccountPermissions contains information about a particular account permission. Some features of DCM require an account permission to be present in the account.
            "kind": "dfareporting#accountPermission", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#accountPermission".
            "name": "A String", # Name of this account permission.
            "level": "A String", # Administrative level required to enable this account permission.
            "permissionGroupId": "A String", # Permission group of this account permission.
            "accountProfiles": [ # Account profiles associated with this account permission.
                #
                # Possible values are:
                # - "ACCOUNT_PROFILE_BASIC"
                # - "ACCOUNT_PROFILE_STANDARD"
              "A String",
            ],
            "id": "A String", # ID of this account permission.
          },
        ],
        "kind": "dfareporting#accountPermissionsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#accountPermissionsListResponse".
      }